9 Replies Latest reply: Sep 10, 2012 5:38 AM by Terence Devlin
famigliacarlson Level 1 Level 1 (0 points)

I can't opne my iPhotos.  It tells me I need to upload using the Library Uploader.  I download as instructed, but it doesn't seem to download.  I can't open my iPhotos.  Help!


iMac, OS X Mountain Lion (10.8.1)
  • 1. Re: I am trying to open my iPhoto, but it tells me I need to upgrade.  Help?
    Terence Devlin Level 10 Level 10 (123,770 points)

    What version of iPhoto? Are you upgrading? What is this: "the Library Uploader"?

  • 2. Re: I am trying to open my iPhoto, but it tells me I need to upgrade.  Help?
    famigliacarlson Level 1 Level 1 (0 points)

    I've been trying to upload past versions...  I've gotten as far as the 8's and they tell me I don't need to install them because they, or a higher version have been installed.  I can't find the 9.0 to install, but when I try to install 9.1, it tells me I need an older version.  I am so frustrated!

     

    The "Library Uploader" is just what it said I needed.  I don't know wha it is.

  • 3. Re: I am trying to open my iPhoto, but it tells me I need to upgrade.  Help?
    Hreemkari Level 1 Level 1 (0 points)

    Respected Terence

    can you give a fix to this Iphoto Crashing issue, i mistakenly migrated apps from leppard backup to my macbook air mid 2011 os 10.7.4  and then my iphoto kept  crashing so i completely unistalled it with all its files and packages then re installed it from apple apps online.. and still it gives this message and crashes every time.

    is there a solution? if you dont know can you direct me to someone who knows how to fix this problem?

    thanking you

    sincerly Peter

    here is the first part of the long error message when it crashes.

    Dyld Error Message:

      Library not loaded: /Library/Frameworks/NyxAudioAnalysis.framework/Versions/A/NyxAudioAnalysis

      Referenced from: /Applications/iPhoto.app/Contents/Frameworks/iLifeSlideshow.framework/Versions/ A/Frameworks/iLifeSlideshowProducer.framework/Versions/A/iLifeSlideshowProducer

      Reason: no suitable image found.  Did find:

              /Library/Frameworks/NyxAudioAnalysis.framework/Versions/A/NyxAudioAnalysis : mach-o, but wrong architecture

              /Library/Frameworks/NyxAudioAnalysis.framework/Versions/A/NyxAudioAnalysis : mach-o, but wrong architecture

     

     

    Binary Images:

        0x1000 -   0xcfbff3  com.apple.iPhoto (9.3.2 - 9.3.2) <A33D0C4A-0581-3BF2-A7C4-EF351019E843> /Applications/iPhoto.app/

  • 4. Re: I am trying to open my iPhoto, but it tells me I need to upgrade.  Help?
    Terence Devlin Level 10 Level 10 (123,770 points)

    It might be worth remembering that no here can see your machine, nor has any clue about where you started from. So it might be worth rereading your posts on that basis before posting. It's like I'm walking into a conversation that half over here

     

    I've seen no mention anywhere of a "Library Uploader". There is an iPhoto Library updater that is required if you are updatng from iPhoto 5 or earlier.

  • 5. Re: I am trying to open my iPhoto, but it tells me I need to upgrade.  Help?
    Terence Devlin Level 10 Level 10 (123,770 points)

    Please create your own thread and don't hijack someone else's with an entirely different problem.

  • 6. Re: I am trying to open my iPhoto, but it tells me I need to upgrade.  Help?
    famigliacarlson Level 1 Level 1 (0 points)

    I try and download iPhoto 8.1.2 and I get this message:

     

    This update does not need to be installed.

    A newer version of iPhoto is already installed.

     

    I try and upload the next version, which appears to be:  iPhoto 9.1 and I get this message:

    (yellow triange with exlamation point)  iPhoto Update can't be installed on this disk.  iPhoto 9.0 or later is required to install this update.

     

     

    I cannot find iPhoto 9.0 anywhere to upload.

  • 7. Re: I am trying to open my iPhoto, but it tells me I need to upgrade.  Help?
    famigliacarlson Level 1 Level 1 (0 points)

    Okay- so here's the long story!

     

    Perhaps this will help.

     

    My computer crashed a few months ago. 

     

    We got a new hard-drive.

     

    I tried to open my iPhoto for the first time and go some message about it being "locked".  I no longer get that message so I don't remember entirely what it said, but I followed to directions to "unlock" it.

     

    Now, when I click 'iPhoto" on my dock, I get this message: 

     

    To open your library with this version of iPhoto, it first needs to be prepared.

    To prepare the library, use the iPhoto Library Upgrader available from Apple.

    then there is a "learn more" button.

     

    When you select that, it takes me here and this is where my discussion started.   http://support.apple.com/kb/HT5037

     

    I followed the steps to upgrade from previous versions- see my comment above, but I get stuck from 8.1.2 version to what appears to be the next one up from there.

     

    Does this help?  I hate computers and simply want get my photos back from Carbonite before the crash happened.  I'm freaking out because I have 4 years of photos from the birth of my son.  If I can't get iPhoto working, I have no idea how to get my photos restored.

     

    <sigh>

  • 8. Re: I am trying to open my iPhoto, but it tells me I need to upgrade.  Help?
    Hreemkari Level 1 Level 1 (0 points)

    Thank you and exuse me, im new to this...

    again thank you for your guidence. i did not intend to hyjack..

    ..best wishes

    Peter

  • 9. Re: I am trying to open my iPhoto, but it tells me I need to upgrade.  Help?
    Terence Devlin Level 10 Level 10 (123,770 points)

    What version of iPhoto do you actually have?